### Virtual Method

# Hinawa FwResp requested

since: 4.0

#### Declaration [src]

    HinawaFwRcode
    requested (
      HinawaFwResp* self,
      HinawaFwTcode tcode,
      guint64 offset,
      guint src_node_id,
      guint dst_node_id,
      guint card_id,
      guint generation,
      guint tstamp,
      const guint8* frame,
      guint length
    )

#### Description [src]

Class closure for the `HinawaFwResp::requested` signal.

Available since: 4.0

#### Parameters

`tcode`

  Type: `HinawaFwTcode`

  One of `HinawaFwTcode` enumerations.

`offset`

  Type: `guint64`

  The address offset at which the transaction arrives.

`src_node_id`

  Type: `guint`

  The node ID of source for the transaction.

`dst_node_id`

  Type: `guint`

  The node ID of destination for the transaction.

`card_id`

  Type: `guint`

  The index of card specific to 1394 OHCI hardware at which the request subaction arrived.

`generation`

  Type: `guint`

  The generation of bus when the transaction is transferred.

`tstamp`

  Type: `guint`

  The time stamp at which the request arrived.

`frame`

  Type: An array of `guint8`

  The array with elements for byte data.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `guint`

  The length of bytes for the frame.

#### Return value

Type: `HinawaFwRcode`

One of [enum@FwRcode enumerations corresponding to rcodes defined in IEEE 1394 specification.